Name:           jdependency
Version:        1.2
Release:        %mkrel 3
Group:          Development/Java
Summary:        This project provides an API to analyse class dependencies
License:        ASL 2.0
URL:            http://github.com/tcurdt/%{name}
BuildArch:      noarch

Source0:        http://github.com/tcurdt/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.ow2.asm:asm)
BuildRequires:  mvn(org.ow2.asm:asm-analysis)
BuildRequires:  mvn(org.ow2.asm:asm-commons)
BuildRequires:  mvn(org.ow2.asm:asm-tree)
BuildRequires:  mvn(org.ow2.asm:asm-util)

%description
%{name} is small library that helps you analyze class level
dependencies, clashes and missing classes.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%mvn_file : %{name}

# remove maven-compiler-plugin configuration that is broken with Java 11
%pom_xpath_remove 'pom:plugin[pom:artifactId="maven-compiler-plugin"]/pom:configuration'

# remove a test case that is harmlessly broken on Java 11
rm src/test/java/org/vafer/jdependency/DependencyUtilsTestCase.java

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt




%changelog
* Thu Sep 10 2020 daviddavid <daviddavid> 1.2-3.mga8
+ Revision: 1624156
- Set javac source and target to 1.8 to fix Java 11 builds
- Remove one test case that is harmlessly broken with Java 11
- Rebuilt for JDK-11

* Fri Feb 14 2020 umeabot <umeabot> 1.2-2.mga8
+ Revision: 1520781
- Mageia 8 Mass Rebuild

* Mon Dec 10 2018 daviddavid <daviddavid> 1.2-1.mga7
+ Revision: 1339780
- new version: 1.2 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 1.1-2.mga7
+ Revision: 1262676
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1.1-1.mga6
+ Revision: 1101701
- New version 1.1
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.9-5.mga6
+ Revision: 976412
- First rebuild of the java stack
- sync package jdependency with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Jan 19 2015 daviddavid <daviddavid> 0.9-1.mga5
+ Revision: 811465
- Sync with fc21 (update to 0.9)

* Wed Oct 15 2014 umeabot <umeabot> 0.7-6.mga5
+ Revision: 750871
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.7-4.mga4
+ Revision: 537834
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 0.7-3.mga4
+ Revision: 487909
- Build with xmvn

* Sat Jan 12 2013 umeabot <umeabot> 0.7-2.mga3
+ Revision: 355291
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 0.7-1.mga3
+ Revision: 324884
- New version

* Thu Apr 28 2011 dmorgan <dmorgan> 0.6-5.mga1
+ Revision: 92537
- Rebuild after bootstrapping
- imported package jdependency


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 14 2010 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.6-3
- Add license to javadoc subpackage
- Change jakarta-commons-io for apache-commons-io
- Add BR to maven 

* Thu Oct 14 2010 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.6-2
- Rename from vafer-jdependency to jdependency alone

* Thu Oct 14 2010 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.6-1
- Initial package
